This is a beta autodoc build; expect bugs and missing information. Report an Issue, Contribute, Learn more about stdlib source code.

- API
- Guides

Search
Use spaces instead of dots. See $resource for more info.

- Index

How to search effectively

## How To Search Effectively

### Matching

- Search is case-insensitive by default.
- Using uppercase letters in your query will make the search case-sensitive.
- Given `ArrayListUnmanaged`:
  - the following search terms (and their prefixes) will match:
    - `array`
    - `list`
    - `unmanaged`
  - the following search terms will NOT match:
    - `stun`
    - `ray`
    - `managed`
- More precisely, the search system is based on a Radix Tree. The Radix Tree contains full decl names plus some suffixes, split by following the official style guide (e.g. `HashMapUnmanaged` also produces `MapUnmanaged` and `Unmanaged`, same with snake_case and camelCase names).

### Multiple terms

- When a search query contains multiple terms, order doesn't matter when all terms match within a single decl name (e.g. "map auto" will match `AutoHashMap`).
- Query term order does matter when matching different decls alognside a path (e.g. "js parse" matching `std.json.parse`), in which case the order of the terms will determine whether the match goes above or below the "other results" line.
- As an example, "fs create" will put above the line all things related to the creation of files and directories inside of `std.fs`, while still showing (but below the line) matches from `std.Bulild`.
- As another example, "fs windows" will prioritize windows-related results in `std.fs`, while "windows fs" will prioritize "fs"-related results in `std.windows`.
- This means that if you're searching inside a target namespace, you never have to read below the "other results" line.
- Since matching doesn't have to be perfect, you can also target a group of namespaces to search into. For example "array orderedremove" will show you all "Array-" namespaces that support `orderedRemove`.
- Periods are replaced by spaces because the Radix Tree doesn't index full paths, and in practice you should expect the match scoring system to consistently give you what you're looking for even when your query path is split into multiple terms.

## Search Results

show all results

## No Results Found

Here are some things you can try:

- Check out the Language Reference for the language itself.
- Check out the Learn page for other helpful resources for learning Zig.
- Use your search engine.

Press `?` to see keyboard shortcuts and `Esc` to return.

Loading...

#

This function is not tested or referenced.

This declaration is not tested or referenced, and it has therefore not been included in semantic analysis, which means the only documentation available is whatever is in the doc comments.

## Parameters

## Errors

anyerror means the error set is known only at runtime.

## Fields

## Namespaces

### Other Namespaces ⓘ

## Types

## Global Variables

## Functions

## Values

## Error Sets

## Examples

## Usage Examples ⓘ

## Tests

# Keyboard Shortcuts

`?`
  Toggle this help modal

  Focus the search field

`↑`
  Move up in search results

`↓`
  Move down in search results

`⏎`
  Go to active search result

`p`
  Open preferences

`Esc`
  Clear focus; close this modal

# Preferences

- Enable `/` for search